Inhalte
Index 🔎︎

# Anweisung Function

Definiert eine Subroutine (ein Unterprogramm), die als Ausdruck verwendet werden kann, um einen Rückgabewert eines bestimmten Typs zu bestimmen.

## Syntax

siehe Parameter

## Parameter:

Syntax

Function Name[(VarName1 [As Typ][, VarName2 [As Typ][,...]]]) [As Typ]

Befehlsblock

[Exit Function]

Befehlsblock

End Function

Parameter

Name: Name der Subroutine, die den Rückgabewert der Funktion enthalten soll.

VarName: Parameter, der der Subroutine übergeben werden soll.

Typ: Typendeklarations-Schlüsselwort.

## Beispiel:

    Sub ExampleExit
    Dim sReturn As String
    Dim sListArray(10) As String
    Dim siStep As Single
        For siStep = 0 To 10 ' Array mit Testdaten füllen
            sListArray(siStep) = chr$(siStep + 65)
            MsgBox sListArray(siStep)
        Next siStep
        sReturn = LinSearch(sListArray(), "B")
        Print sReturn
    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer
    Dim iCount As Integer
    ' Linsearch durchsucht ein TextArray:sList() nach einem TextEntry:
    ' Rückgabewert ist der Index des Eintrags oder 0 ( Null)
        For iCount=1 To Ubound( sList() )
            If sList( iCount ) = sItem Then
                Exit For ' sItem gefunden
            End If
        Next iCount
        If iCount = Ubound( sList() ) Then iCount = 0
        LinSearch = iCount
    End Function